Themler Update v. 559 - PHP 8 support for Wordpress and Joomla themes added

Support Team
Support Team posted this 16 September 2022

We are glad to introduce version 559 that includes:

  • PHP 8 support for Wordpress themes
  • PHP 8 support for Joomla 3 themes
  • More fixes for Joomla 4 support

If your theme for Wordpress or for Joomla 3 cannot be opened to update Themler, please temporarily switch to PHP 7.x, open and update Themler, then switch to PHP 8. Alternatively, import the theme in Themler desktop, update and re-export it under a different name, then install the theme on your website.

We are glad to introduce version 559 that includes: - PHP 8 support for Wordpress themes - PHP 8 support for Joomla 3 themes - More fixes for Joomla 4 support If your theme for Wordpress or for Joomla 3 cannot be opened to update Themler, please temporarily switch to PHP 7.x, open and update Themler, then switch to PHP 8. Alternatively, import the theme in Themler desktop, update and re-export it under a different name, then install the theme on your website.

Last edited 16 September 2022 by Support Team

Vote to pay developers attention to this features or issue.
48 Comments
Order By: Standard | Newest
Malinka
59 Posts
Malinka posted this 17 September 2022

Great theme works on php 8 with themler V.559 with: define( 'WP_DEBUG', false );

When define( 'WP_DEBUG', true ); it is showing error message below

Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 349

Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 403

Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 483

Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 1871

Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 2071

Deprecated: Required parameter $tag follows optional parameter $imageHtml in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 2228

Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 2711

Deprecated: Required parameter $groups follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 203

Deprecated: Required parameter $skipProps follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 203

Deprecated: Required parameter $groups follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 226

Deprecated: Required parameter $skipProps follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 226

Warning: Cannot modify header information - headers already sent by (output started at /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php:349) in /home/bokatid24/public_html/wp-content/themes/bokatid24/functions.php on line 4

Great theme works on php 8 with themler V.559 with: define( 'WP_DEBUG', false ); When define( 'WP_DEBUG', true ); it is showing error message below Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 349 Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 403 Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 483 Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 1871 Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 2071 Deprecated: Required parameter $tag follows optional parameter $imageHtml in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 2228 Deprecated: Required parameter $tag follows optional parameter $content in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php on line 2711 Deprecated: Required parameter $groups follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 203 Deprecated: Required parameter $skipProps follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 203 Deprecated: Required parameter $groups follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 226 Deprecated: Required parameter $skipProps follows optional parameter $rules in /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes-effects.php on line 226 Warning: Cannot modify header information - headers already sent by (output started at /home/bokatid24/public_html/wp-content/plugins/themler-core/shortcodes/shortcodes.php:349) in /home/bokatid24/public_html/wp-content/themes/bokatid24/functions.php on line 4
Web-Art
110 Posts
Web-Art posted this 18 September 2022

Nothing has changed. After updating to version 599 and changing php to 8.0, the same number of bugs.

In the attachment screen

Nothing has changed. After updating to version 599 and changing php to 8.0, the same number of bugs. In the attachment screen
Werbeagentur Schulz-Design
107 Posts
Werbeagentur Schulz-Design posted this 19 September 2022

Hello,

Thank you for the update.

Unfortunately, this did not solve the problem with the edit button.

When I try to start the editor on Joomla 4.2.2 I get an error message on PHP 7.4 and nothing happens with PHP 8.
See: https://answers.themler.io/questions/218371/request-failed-500

Is it possible to download the 559 directly?

Sincerely
Thorsten

Hello, Thank you for the update. Unfortunately, this did not solve the problem with the edit button. When I try to start the editor on Joomla 4.2.2 I get an error message on PHP 7.4 and nothing happens with PHP 8. See: https://answers.themler.io/questions/218371/request-failed-500 Is it possible to download the 559 directly? Sincerely Thorsten
jansen.marcus
29 Posts
jansen.marcus posted this 19 September 2022

Hello,
After updating my themler theme to version v.559, and PHP 8 activated, I get an error message when I try to open the widgets page in Wordpress development:
A critical error has occurred on this site. Check your site administrator email inbox for instructions. (translated from dutch).

When I switch to Wordpress recovery mode I can see more details about the error (translated from dutch):

The theme you are currently using is not widget aware,
meaning it has no sidebars you can change.

Re-activating PHP 7.4 doesn't solve the problem.
Other non-themler-themes don't generate this messages.

The website doesn't give a problem for visitors.

Website:

Any advise for me?
Regards,
Mark Jansen

Hello, After updating my themler theme to version v.559, and PHP 8 activated, I get an error message when I try to open the **widgets page** in Wordpress development: *A critical error has occurred on this site. Check your site administrator email inbox for instructions.* (translated from dutch). When I switch to Wordpress *recovery mode* I can see more details about the error (translated from dutch): *The theme you are currently using is not widget aware, meaning it has no sidebars you can change.* Re-activating PHP 7.4 doesn't solve the problem. Other non-themler-themes don't generate this messages. The website doesn't give a problem for visitors. Website: Any advise for me? Regards, Mark Jansen
Malinka
59 Posts
Malinka posted this 21 September 2022

I tested widgets page in Wordpress and all is working fine for me.

Themler theme version v.559, and PHP 8 activated and no wordpress plugins,

I tested widgets page in Wordpress and all is working fine for me. Themler theme version v.559, and PHP 8 activated and no wordpress plugins,
Werbeagentur Schulz-Design
107 Posts
Werbeagentur Schulz-Design posted this 22 September 2022

Sorry, but we're all just being ripped off by this company here!
I'm getting tired of waiting for answers and bug fixes!

Sorry, but we're all just being ripped off by this company here! I'm getting tired of waiting for answers and bug fixes!
Werbeagentur Schulz-Design
107 Posts
Werbeagentur Schulz-Design posted this 22 September 2022

I will never work with that bumbling nicepage!!!

I will never work with that bumbling nicepage!!!
AKSearch
12 Posts
AKSearch posted this 22 September 2022

Sorry, but we're all just being ripped off by this company here!
I'm getting tired of waiting for answers and bug fixes!

I held out hope for a long time, but can't help feeling that this company is circling the drain.

I had over 30 client sites built with Themler, but am happy to say I have now migrated over 20 of them to other platforms and hope to have the rest migrated over by the end of the year.

It's too bad, with some continued development and a little marketing, Themler could have been an industry leader.

> Sorry, but we're all just being ripped off by this company here! > I'm getting tired of waiting for answers and bug fixes! I held out hope for a long time, but can't help feeling that this company is circling the drain. I had over 30 client sites built with Themler, but am happy to say I have now migrated over 20 of them to other platforms and hope to have the rest migrated over by the end of the year. It's too bad, with some continued development and a little marketing, Themler could have been an industry leader.

Last edited 22 September 2022 by AKSearch

Web-Art
110 Posts
Web-Art posted this 25 September 2022

Nettie. Can you write when php8.0 and php8.1 will be introduced in Themler. On all pages based on Themler templates, a lot of errors pop up after changing php to version 8.0 or 8.1

Less than a month left. Can't you make it a top priority ... We pay for subscriptions.

Give us a date for when the bugs will be finally corrected.

I analyzed the number of bugs before upgrading to version 559 and after upgrading to this version and nothing has changed completely ... The number of bugs generated by Themler is the same.

Nettie. Can you write when php8.0 and php8.1 will be introduced in Themler. On all pages based on Themler templates, a lot of errors pop up after changing php to version 8.0 or 8.1 Less than a month left. Can't you make it a top priority ... We pay for subscriptions. Give us a date for when the bugs will be finally corrected. I analyzed the number of bugs before upgrading to version 559 and after upgrading to this version and nothing has changed completely ... The number of bugs generated by Themler is the same.
Orange Gorilla
59 Posts
Orange Gorilla posted this 26 September 2022

Sorry, but we're all just being ripped off by this company here!
I'm getting tired of waiting for answers and bug fixes!

I held out hope for a long time, but can't help feeling that this company is circling the drain.

I had over 30 client sites built with Themler, but am happy to say I have now migrated over 20 of them to other platforms and hope to have the rest migrated over by the end of the year.

It's too bad, with some continued development and a little marketing, Themler could have been an industry leader.

Hi @SK,

To what platform did you migrate?

> > Sorry, but we're all just being ripped off by this company here! > > I'm getting tired of waiting for answers and bug fixes! > > I held out hope for a long time, but can't help feeling that this company is circling the drain. > > I had over 30 client sites built with Themler, but am happy to say I have now migrated over 20 of them to other platforms and hope to have the rest migrated over by the end of the year. > > It's too bad, with some continued development and a little marketing, Themler could have been an industry leader. Hi @SK, To what platform did you migrate?
Support Team
Support Team posted this 26 September 2022

Hello Everyone,

Thank you all for your feedback. We will check and address each issue as soon as we reproduce them and find the reason. Some cooperation from your side would be great.

Thorsten,

Could you please try it with Joomla 4.2 and PHP 8, with the theme attached?

Mark,

We have responded in a separate topic and will continue investigating the widgets issue, because it is also not reproducible at the moment. Please answer in that topic.

Web-Art,

The issue isn't reproducible so far. Could you please open a new private topic and provide temporary access to your website with the latest Wordpress, PHP 8 and Themler v.559 for investigation?

Sincerely,
Nettie

Hello Everyone, Thank you all for your feedback. We will check and address each issue as soon as we reproduce them and find the reason. Some cooperation from your side would be great. **Thorsten**, Could you please try it with Joomla 4.2 and PHP 8, with the theme attached? **Mark**, We have responded in a separate topic and will continue investigating the widgets issue, because it is also not reproducible at the moment. Please answer in that topic. **Web-Art**, The issue isn't reproducible so far. Could you please open a new private topic and provide temporary access to your website with the latest Wordpress, PHP 8 and Themler v.559 for investigation? Sincerely, Nettie
Support Team
Support Team posted this 26 September 2022

Hello Thorsten,

Looks like the theme wasn't attached last time. Please find it attached now.

Sincerely,
Nettie

Hello Thorsten, Looks like the theme wasn't attached last time. Please find it attached now. Sincerely, Nettie
Werbeagentur Schulz-Design
107 Posts
Werbeagentur Schulz-Design posted this 27 September 2022

Hello Nettie,

Thank you very much.

Unfortunately, since I didn't get an answer and my work couldn't stand still, I went back to Joomla! 3.10.11 switched.

I'm very disappointed now and just can't understand why we are so let down by you guys.

In my opinion, there are only two options:
1. You officially announce the end of Themler
2. You develop the product further so that it meets the new requirements for a CMS template generator and then develop it further.

If point 2 applies, I'm willing to support the development with a certain amount.

However, things cannot go on like this. Many of us have businesses and are committed to our customers. We can't wait weeks for bug fixes or responses. Otherwise we will lose our customers. Such is market economy.

Kind regards
Thorsten Schulz
Werbeagentur Schulz-Design

Hello Nettie, Thank you very much. Unfortunately, since I didn't get an answer and my work couldn't stand still, I went back to Joomla! 3.10.11 switched. I'm very disappointed now and just can't understand why we are so let down by you guys. In my opinion, there are only two options: 1. You officially announce the end of Themler 2. You develop the product further so that it meets the new requirements for a CMS template generator and then develop it further. If point 2 applies, I'm willing to support the development with a certain amount. However, things cannot go on like this. Many of us have businesses and are committed to our customers. We can't wait weeks for bug fixes or responses. Otherwise we will lose our customers. Such is market economy. Kind regards Thorsten Schulz [Werbeagentur Schulz-Design][1] [1]: https://www.schulzdesign.info
Web-Art
110 Posts
Web-Art posted this 05 October 2022

There are 2 weeks left until support for php7.4 ends. Do something. It is not for me that only one side throws bugs.
All pages after setting php.8.0 crash out of bugs and go apart. It's really not fun anymore. What are we to tell our customers ... We pay regular subscription fees ... We should get a refund for our subscription paid over several years because.

There are no updates for Themler ... No new features ... No support for new versions of Wordpress and Woocommerce. Support has not solved a single problem reported by me in the last year. After all, all Themler users can see that no one is interested in us. Only Nettie answers once in a while. But these are only answers ... There is no action. For a year we have been reporting and talking about Themler's adaptation to php8.0 php8.1 2 weeks left and nothing.

How should we deal with our clients. They paid us for websites and stores, and in return we promised them that they would work properly. They trusted us AND WE TRUSTED YOU by choosing your product
What is with you ... it is not done.

Do you not see the situation in which you are putting us?
We are to rebuild 30 pages for the new builder. After all, it is impossible with time.

We expect Themler's adaptation to new versions of php.80, php81, but also Themler's adaptation to new versions:
1. Joomla
2. Wordpress
3. Woocommerce

You have 2 weeks to change. SUPPORT ENDING FOR php7.4

There are 2 weeks left until support for php7.4 ends. Do something. It is not for me that only one side throws bugs. All pages after setting php.8.0 crash out of bugs and go apart. It's really not fun anymore. What are we to tell our customers ... We pay regular subscription fees ... We should get a refund for our subscription paid over several years because. There are no updates for Themler ... No new features ... No support for new versions of Wordpress and Woocommerce. Support has not solved a single problem reported by me in the last year. After all, all Themler users can see that no one is interested in us. Only Nettie answers once in a while. But these are only answers ... There is no action. For a year we have been reporting and talking about Themler's adaptation to php8.0 php8.1 2 weeks left and nothing. How should we deal with our clients. They paid us for websites and stores, and in return we promised them that they would work properly. They trusted us AND WE TRUSTED YOU by choosing your product What is with you ... it is not done. Do you not see the situation in which you are putting us? We are to rebuild 30 pages for the new builder. After all, it is impossible with time. We expect Themler's adaptation to new versions of php.80, php81, but also Themler's adaptation to new versions: 1. Joomla 2. Wordpress 3. Woocommerce You have 2 weeks to change. SUPPORT ENDING FOR php7.4
jflemmens
6 Posts
jflemmens posted this 10 October 2022

I have exactly the same opinion as Web-Art, I find it more than disappointing. You put us in an extremely uncomfortable situation. Please move!

I have exactly the same opinion as Web-Art, I find it more than disappointing. You put us in an extremely uncomfortable situation. Please move!
Support Team
Support Team posted this 11 October 2022

Hello,

We are working on all the issued found in the latest update and will soon produce an update including the fixes.

Sincerely,
Nettie

Hello, We are working on all the issued found in the latest update and will soon produce an update including the fixes. Sincerely, Nettie
contact159
4 Posts
contact159 posted this 11 October 2022

I agree with their opinions too.
We have to do a few things, we have to change all our sites otherwise.
Thank you for your efforts if they are there.

I agree with their opinions too. We have to do a few things, we have to change all our sites otherwise. Thank you for your efforts if they are there.
yves
11 Posts
yves posted this 14 October 2022

I have updated several sites allready and ... with success ... thank you for this update.
Still some sites to go and it might well be that these are the most difficult to upgrade (if my memory serves me well, there were some troubles with one or some of them).

I have updated several sites allready and ... with success ... thank you for this update. Still some sites to go and it might well be that these are the most difficult to upgrade (if my memory serves me well, there were some troubles with one or some of them).
contact159
4 Posts
contact159 posted this 15 October 2022

You are very lucky Yves, it still works for me even after the update, I still have PHP error messages.

You are very lucky Yves, it still works for me even after the update, I still have PHP error messages.

Last edited 15 October 2022 by contact159

contact159
4 Posts
contact159 posted this 15 October 2022

I will resolve to use Nicepage :(
The work that this entails and the risk that the team here will do the same to us as with Themler.

I will resolve to use Nicepage :( The work that this entails and the risk that the team here will do the same to us as with Themler.
You must log in or register to leave comments